Cyberduck Mountain Duck CLI

#939 closed enhancement (wontfix)

AppleScript: Replacing/skipping same items while upload/download items

Reported by: czechxteam Owned by: dkocher
Priority: normal Milestone:
Component: applescript Version: 2.6.2
Severity: minor Keywords:
Cc: Architecture:
Platform:

Description

Actual result:
When I upload/download items, I allways replace eventually existing items.

Expected result:
In upload/download command should be switch command such as "replace old file", "replace all", "don't replace". Behavior should be the same as when I upload/download manually - example: when I will replace remote folder by localy modified folder, Cyberduck replace old files (inside folder) but not whole older folder. Default behavior - upload/download command without switch command, should be "replace all" for scripts compatibility.
Switch command or other solution of this bug I leave on programmer my suggestion of switch command is very simplified.

Change History (4)

comment:1 Changed on Feb 12, 2007 at 1:45:06 PM by dkocher

  • Milestone changed from 2.8 to 2.9

Milestone 2.8 deleted

comment:2 Changed on May 6, 2007 at 5:24:43 PM by dkocher

  • Component changed from core to applescript

comment:3 Changed on Mar 2, 2008 at 3:10:57 PM by anonymous

  • Milestone 2.9 deleted

comment:4 Changed on Jul 23, 2010 at 9:51:53 AM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

There are currently no plans to reintroduce support for AppleScript.

Note: See TracTickets for help on using tickets.
swiss made software